package com.ozs.service.entity;


import com.ozs.common.core.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import java.io.Serializable;

/**
 * <p>
 * 测点信息表
 * </p>
 *
 * @author ozs
 * @since 2023-02-17
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class BaseMeasurePoint extends BaseEntity implements Serializable{

    private static final long serialVersionUID = 1L;

    /**
     * 测点编码
     */
    private String pointCode;


    /**
     * 线路编码
     */
    private String railwayCode;

    /**
     * 行别(1上行2下行3上下行）
     */
    private Integer lineDir;

    /**
     * 监控相机安装里程位置
     */
    private Integer installMile;

}
