package com.ozs.web.controller.home;

import com.ozs.common.core.controller.BaseController;
import com.ozs.common.core.domain.AjaxResult;
import com.ozs.service.entity.vo.MsgAlarmVo;
import com.ozs.service.service.MsgAlarmCloudService;
import com.ozs.system.service.DataScoreUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.Map;

/**
 * @Author : sunhh
 * @create 2023/3/7 14:34
 */
@RestController
@RequestMapping("/home")
public class HomeController extends BaseController {

    @Resource
    private MsgAlarmCloudService msgAlarmCloudService;
    @Autowired
    private DataScoreUtil dataScoreUtil;

    /**
     * 统计数量
     */
    @GetMapping("/statisticsNum")
    public AjaxResult statisticsNum() {
        MsgAlarmVo msgAlarmVo = (MsgAlarmVo) dataScoreUtil.setDataScore(getUserId(), new MsgAlarmVo());
        Map<String, Integer> map = msgAlarmCloudService.statisticsNum(msgAlarmVo);
        return AjaxResult.success(map);
    }
}
